Subject: Re: PROBLEM: 2.6.11-rc2 hangs on bridge shutdown (br0)

From: Andre Tomt <[email-masked]>
Date: Sat, 05 Feb 2005 12:14:04 +0100

Herbert Xu wrote:
> On Fri, Feb 04, 2005 at 09:38:13PM -0800, David S. Miller wrote:
> 
>>It is just the first such thing I found, scanning rt6i_idev uses
>>will easily find several others.
> 
> 
> You're right of course.  I thought they were all harmless but I was
> obviously wrong about this one.
> 
> So here is a patch that essentially reverts the split devices
> semantics introduced by these two changesets:
<..>

This patch fixes my problems with hangs when dot1q VLAN interfaces gets 
removed when loopback is down, as reported in the thread "2.6.10 
ipv6/8021q lockup on vconfig on interface removal".

Yay :)